Fahrtenbuch

Import Export

GET
/export/summary

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string
Formatdate
to?string
Formatdate
vehicleId?string
Formatuuid
type?string
Value in"business""private""commute""unclassified"

Response Body

Zusammenfassung

Example Request
curl -X GET 'https://example.com/api/v1/export/summary'
Example Response200
Empty

Export trips as CSV

GET
/export/csv

Includes UTC timestamps plus local time, IANA time zone and UTC offset (DST-aware) for start and end of each trip.

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string
Formatdate
to?string
Formatdate
vehicleId?string
Formatuuid
type?string
Value in"business""private""commute""unclassified"

Response Body

CSV-Datei

response?filetext/csv
Formatbinary
Example Request
curl -X GET 'https://example.com/api/v1/export/csv'
Example Response200
"string"

Export trips as GPX

GET
/export/gpx

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

tripId?string
Formatuuid

Response Body

GPX-Datei

response?fileapplication/gpx+xml
Formatbinary
Example Request
curl -X GET 'https://example.com/api/v1/export/gpx'
Example Response200
"string"
GET
/export/pdf

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Query Parameters

from?string
Formatdate
to?string
Formatdate
vehicleId?string
Formatuuid
type?string
Value in"business""private""commute""unclassified"

Response Body

PDF-Datei

response?fileapplication/pdf
Formatbinary
Example Request
curl -X GET 'https://example.com/api/v1/export/pdf'
Example Response200
"string"

Import trips from CSV

POST
/import/csv

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

multipart/form-data
  1. body
file*file
Formatbinary
dryRun?boolean
Defaultfalse

Response Body

Importergebnis

Example Request
curl -X POST 'https://example.com/api/v1/import/csv' \  -F 'file=string'
Example Response200
Empty

Import GPX

POST
/import/gpx

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

multipart/form-data
  1. body
file*file
Formatbinary
vehicleId?string
Formatuuid

Response Body

Importergebnis

Example Request
curl -X POST 'https://example.com/api/v1/import/gpx' \  -F 'file=string'
Example Response200
Empty
GET
/export/countries

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X GET 'https://example.com/api/v1/export/countries'
Example Response
Empty